Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1481568 - SELinux is preventing sssd_be from 'map' accesses on the file /var/lib/sss/db/cache_happyassassin.net.ldb.
Summary: SELinux is preventing sssd_be from 'map' accesses on the file /var/lib/sss/db...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dce988be7051445e57d6b851b59...
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-15 05:35 UTC by Adam Williamson
Modified: 2018-02-20 11:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 11:21:41 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-15 05:35:26 UTC
Description of problem:
Happened in normal system use (system is a FreeIPA client) after the 'map' permission was introduced.
SELinux is preventing sssd_be from 'map' accesses on the file /var/lib/sss/db/cache_happyassassin.net.ldb.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sssd_be should be allowed map access on the cache_happyassassin.net.ldb file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sssd_be' --raw | audit2allow -M my-sssdbe
# semodule -X 300 -i my-sssdbe.pp

Additional Information:
Source Context                system_u:system_r:sssd_t:s0
Target Context                system_u:object_r:sssd_var_lib_t:s0
Target Objects                /var/lib/sss/db/cache_happyassassin.net.ldb [ file
                              ]
Source                        sssd_be
Source Path                   sssd_be
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   3638
First Seen                    2017-08-12 16:45:27 PDT
Last Seen                     2017-08-14 22:25:47 PDT
Local ID                      b6284dfd-a6f7-4d32-b663-6e68f232b6cb

Raw Audit Messages
type=AVC msg=audit(1502774747.369:702): avc:  denied  { map } for  pid=1321 comm="sssd_be" path="/var/lib/sss/db/cache_happyassassin.net.ldb" dev="dm-2" ino=691 scontext=system_u:system_r:sssd_t:s0 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=file permissive=1


Hash: sssd_be,sssd_t,sssd_var_lib_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.